<?php

/**
 * Copyright (c) 2020 CodeLathe. All rights Reserved.
 * This file is part of FileCloud  https://www.filecloud.com
 */

require_once('MongoUtility.php');

function usage()
{
    echo '' . PHP_EOL;
    echo 'Usage: php mongoTool.php <options>' . PHP_EOL;
    echo '   options:' . PHP_EOL;
    echo '      --status                                     : show mongo status' . PHP_EOL;
    echo '      --getFeatureCompatibilityVersion             : get featureCompatibilityVersion' . PHP_EOL;
    echo '      --setFeatureCompatibilityVersion <version>   : set featureCompatibilityVersion' . PHP_EOL;
    echo '      --rsStepDown                                 : stepDown PRIMARY (make it SECONDARY)' . PHP_EOL;
    echo PHP_EOL;
    exit(1);
}

if (php_sapi_name() == 'cli') {
    $longopts = [
        'help',
        'status',
        'getFeatureCompatibilityVersion',
        'setFeatureCompatibilityVersion:',
        'rsStepDown',
    ];
    $options = getopt('h', $longopts);

    if (isset($options['h']) || isset($options['help']) || count($options) == 0) {
        usage();
    }

    $db = new mongoUtility();

    if (isset($options['status'])) {
        $db->getRsStatus();
        $db->getServerStatus();
    }
    if (isset($options['getFeatureCompatibilityVersion'])) {
        $db->getFeatureCompatibilityVersion();
    }
    if (isset($options['setFeatureCompatibilityVersion'])) {
        if (isset($options['setFeatureCompatibilityVersion'])) {
            $db->setFeatureCompatibilityVersion($options['setFeatureCompatibilityVersion']);
        }
    }
    if (isset($options['rsStepDown'])) {
        $db->rsStepDown();
    }

} else {
    echo '<html><body><h3>Cannot be executed via a Webserver</h3></body></html>';
}
